PHP is not working: cannot execute binary file

Created:

2016-11-16 13:22:43 UTC

Modified:

2017-08-08 13:39:54 UTC

0

Was this article helpful?


Have more questions?

Submit a request

PHP is not working: cannot execute binary file

Applicable to:

  • Plesk 12.5 for Linux

Symptoms

The command php -v results in error:

cannot execute binary file

Cause

Corrupted PHP packages.

Resolution

  1. Find the version of PHP package:

    # rpm -qa | grep php
  2. Reinstall php-cli package from required verion:

    # yumdownloader php-cli-<version>
    # rpm -Uvh --nodeps --force php-cli-<version>.rpm
  3. If PHP still shows errors, do the same with php and php-common packages.

Have more questions? Submit a request
Please sign in to leave a comment.